
body {
    background-size: 100%;
}
.main_div{
    position:absolute;
    width:95%;
}

#tagline{
    text-align: center;
    font-weight:bold;
    font-size:36px;
    color:#00ccff;
}


#loggedin_div{
    background-color:#fff;
    width:95%;
    position:absolute;
}

.valign{
    vertical-align: middle;
    margin-bottom: 3px;
    display:inline-block;
}
#my_account{
    text-align: center;
    margin-bottom: 0;
    opacity: 0.85;
    float:right;
}
#my_account > span > img{
    vertical-align: middle;
    opacity: 0.85;

}
#logout{
    vertical-align: middle;
    margin-bottom: 0;
    float:right;
}
#logout > span > img{
    vertical-align: middle;
    opacity: 0.85;
}


.success_message{
    color:green;
    background-color: whitesmoke;
    font-size:24px;
}

.error_message{
    color:red;
    font-size:24px;
    text-align: center;
    background-color: whitesmoke;
}

#circle {
    background: transparent;
    border-radius: 50%;
    text-align: right;
    border:2px solid #f00;
}

#rotated {
    -webkit-transform: rotate(90deg);
    -moz-transform: rotate(90deg);
    transform: rotate(90deg);
}
#styled_option{
    color:black;
}

#subtitle{
    text-align: left;
    font-size: 24px;
}

#uela{
    color:black;
    width: 300px;
    padding: 0px 4px;
    background-color: white;
    text-align: left;
    font-size: small;
}

#button_bar{
    height:42px;
    padding:0px 0px;
}

#tab_bar{

    height: 42px;
    padding:0px 0px;
}
#filter_bar{
    margin-top:-1px;
    height:100px;
}

#content{
    width:90%;
    vertical-align: text-bottom;
}

#content_separator{
    display:inline-block;
    width:90%;
}

.hidden_checkbox {
    display:none;
}

.eb_list{
    width:90%;
    height:150px;
    overflow: auto;
    border: 1px solid #000;
    list-style-type: none; 
    margin: 0;
    padding: 0;
    overflow-x: hidden;
}
#eb_list_item{
    vertical-align: middle;
}

.eb_label:hover{
    background-color: Highlight; 
    color: HighlightText;
}

.eb_icon{  
    margin-left:5px;
    padding: 0;
    width:40%;
    display:inline-block;
}

.eb_label{  
    width: 100%;
    height:24px;
    display: block;
    border:solid lightgray 1px;
    border-radius: 2px;
    margin-top: 0;
    margin-bottom:0;
    margin-left:0;
    margin-right:5px;

    font-size:16px;
    font-family: times;
}

.ezb_div{
    display:block;
    height:200px;
    width: 99%;
    padding:4px 4px;
    color:black;
    box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.25);
    overflow:auto;
}

.datepicker_div{
    border:0;
    color:black;
    background-color:transparent;
    padding: 4px 12px;
    clear: both;    
    width:28%;
    display:inline-block;
}

.dropdown_div{
    border:0;
    color:black;
    float:left;
    background-color:transparent;
    padding: 4px 12px;
    clear: both;
}

.dropdown_button{
    border:0;
    color:black;
    margin:0;
}

.trax_button{
    border:0;
    border-radius: 00px;
    height:40px;
    color:whitesmoke;
    font-size:18px;
    margin:1px;
    background-color:#ad2820;
    padding: 1px 8px;
}

.tab_button{
    border:0;
    border-radius: 10px;
    height:24px;
    color:black;
    font-size:18px;
    margin:1px;
    background-color:#ad2820; 
    padding: 1px 8px;
}
.calc_table{
    height: 100%;
    width: 45%;
    color:black;
    display: inline-block;
    vertical-align:top;
    float: left;



}
.section{
    display: inline-block;
    width: 24px;
    height: 24px;
    margin: 24px;
    background-color:#000fff;
    padding: 26px 8px;
}

.trax_button:hover{
    color:black;
}


.toggle_button{
    padding: 2px;
    width: 20px;
    height: 20px;
    color:red;
    border-width: 3px;
    border-radius: 60px;
}
.main_button{
    font-size:14px;
    border:1px solid black;
    height:38px;
    color:black;
    margin:1px 0px 0px 0px;
    vertical-align:top;
    padding: 2px 8px;
}

.main_button:hover{
    color:white;
}

#info_accordion{
    padding-top: 10px;
    padding-bottom: 10px;
    color:black;
}

#info_accordion *{
    color:black;
}
#adjustment_accordion{
    height: auto;
    overflow: auto;
}
#selected_button{
    color:#ffff33;
    font-weight: bold;
}

#selected_buttons{
    height: auto;
    overflow: auto;
    padding-left: 2%;
}

#generate_button{
    float:right;
    border:0;
    width:145px;
    height:34px;
    color:whitesmoke;
    border-radius: 10px;
    background-color:rgb(192, 0, 0);
    vertical-align: bottom;
    opacity: 0.85;
    margin-top: 28%;
    position: relative;
}
#generate_button:hover{
    color: #ffb3b3;
}


#disabled_button{
    color:gray;
}

#chosen_device{
    display: inline-block;
    margin-left: 20px;
}

.left_field{
    text-align: left;
    color: black;
    display: inline-block;
    margin-left: 8px;
    margin-top: 8px;
}

.numeric_field{
    text-align: left;
    width: 50px;
    vertical-align: top;    
    display: inline-block;
    margin-left: 5px;
    box-shadow: 0 1px 5px rgba(0, 0, 0, 0.25);   
}
.left_label{
    display: inline-block;
    color: black;
    text-align: right;
    padding-top: 10px;
    vertical-align: top;    
}

#tab_bar{
    margin-left: 3%;
    padding:0px 0px;
}

#user_list {
    width:100%;
    position:absolute;
    background-color:#fff;
    box-shadow: 0 0px 10px rgba(0, 0, 0, 0.5);
}

.bullseye_div{
    position:static;
    margin-left: auto;
    margin-right: auto;
    box-shadow: 0 1px 5px rgba(0, 0, 0, 0.25);
    width:500px;
}

#section_title{
    text-align: center;
    font-size: 18px;
}

#adjustments{
    height:250px;
}

#my_device{
    vertical-align: top;    
    margin: 2px 2px 2px 1px;
    display: inline-block;
    width:75%;
    background-color:#ad2820;
}

#discretionary{
    margin: 5px 5px 5px 5px;
    height:80px;
    width:98%;
}
.centered_label {
    vertical-align: top;
    text-align: center;
    padding:5px;
    font-size:26px;
    background-color:#ad2820;
    color: whitesmoke;
}
.container2{

    height: 100%;
    width: 53%;
    display: inline-block;
    vertical-align: top;

}


.graph{
    vertical-align: top;
    font-size: 14px;
    display: inline-block;
    margin-top: 5px;
    margin-left: 25px;
}
.graphaffect{
    margin-top: 6px;
    margin-bottom: 6px;
    margin-left: 8px;
    color: black;
    padding: 10px;
    display: inline-block;
    float: left;


}

#optinfo{
    display: inline-block

}

#notes{
    display:inline-block;
    vertical-align: top; 
    height: 100%;
    width: 100%;
}

#notes_accordion{
    width:100%;
    height: 85px;
    display:inline-block;
    vertical-align: top;
    padding-top: 0px;
    position: relative;
    margin-bottom: 5px;
    margin-left: 10px;
    margin-top: 20px;
}

#download_div{
    float:right;
}
#add_adjustment_div{
    padding-top: 10px;
    background-color: rgb(244,255,213); 
    height: 100%;
}
#showadd_button{
    border:0;
    height:20px;
    width:100%;
    color:black;
    font-size:14px;
    margin:1px;
    background-color:rgb(234,255,175); 
    padding: 1px 8px;
}

.edit_button{
    border:0;
    margin-left:20px;
    margin-top: 10px;
    height:10px;
    width:10px;
    background: white;
    background-image:url('../img/edit.png');
    background-repeat:no-repeat;
}

.remove_button{
    border:0;
    float:right;
    margin-top: 5px;
    margin-right: 5px;
    border-radius:12px;
    width:25px;
}
.remove_button:hover{
    background-color: White; 
    color: HighlightText;
}

.category_button{
    height: 20px;
    border-radius:5px;
    margin: 3px;
    opacity:.75;
    border: solid black 1px;
}

.easybutton_icon{
    background: red;
    height: 18px;
    width: 18px;
    display:inline-block;
    margin: 3px 3px;
    padding: 1px 1px 1px 1px;
    border-style: solid;
    border-width: 1px;
    border-radius: 13px;
    vertical-align: middle;
}
.Entire { background-color: white;}
.All { background-color: white;}
.Cyans { background-color: cyan;}
.Magentas { background-color: magenta;}
.Yellows { background-color: yellow;}
.Reds { background-color: red;}
.Greens{ background-color: green;}
.Blues { background-color: blue;}
.Neutrals { background-color:lightgrey;}
.Black {color:white; background-color: black;}


select{
    display: inline-block;
    border: 0;
    color: whitesmoke;
    font-size: 14px;
    margin: 10px;
    background-color: #1a95ff; 
    padding: 0px 0px;
}


#calc_input{
    width:60%;
    display:inline-block;
    vertical-align:top;
    margin:0px;
}

#swatches{
    width:50%;
    display:inline-block;
    vertical-align:top;
    border: solid black 1px;

}

#select_div{
    vertical-align: top;
    width:45%;
    margin:5px;
    display:inline-block;
}
#select_fieldset{
    height:206px;
}
#calculator_div{
    display:inline-block;
    vertical-align: top;
    width:100%;
    height: 100%;
    margin-top:15px;
    position: relative;

}
#calculator_div2{
    display:inline-block;
    vertical-align: top;
    width:100%;
    height: 100%;
    margin-top:15px;
    position: relative;

}

#result{
    display:none;
    vertical-align:top;
    border:solid black 0px;
    height:100%;
    color:black;
}
#notes_bottom{
    display: inline-block;
    vertical-align: top;
    margin-top: 20px;
    margin-left: 20px;
    width: 45%;
    height: 100%;

}

#graph{
    height: 100px;
    width: 120px;
    border: solid black 1px;
    vertical-align:top;
    padding: 0px;
    position:relative;
    margin-top: 30px;
    margin-right:40px;
    display: none;
    float:right;
}
.a_div{
    vertical-align:top;
    display:inline-block;
    position:relative;
    float:right;
    padding-bottom: 10%;
}
.color_block{
    height: 100px;
    width: 25%;
    padding: 0px;
    margin: 0px;
    display: inline-block;
    position: absolute;
    bottom: 0;
}
#cyan_block{
    background-color:cyan;   
}
#magenta_block{
    left:25%;
    background-color:magenta;
}#yellow_block{
    left:50%;
    background-color:yellow;
}#black_block{
    right:0;
    background-color:black;
}
#amount {
    display: inline-block;
    width: 300px;
    height: 100%;
    padding: 10px 10px;
}
#best_peak {
    display: inline-block;
    width:50%;
    height:100%;   
}
#effective{
    height:100%;   
    border:solid black 1px;
    width:550px;

}
.floating-box1 {
    display: inline-block;
    width: 38px;
    height:38px;
    margin: 10px;
    background-color:#00ffff;
    border: solid black 1px;
}

.All { background-color: white;}
.Cyan { background-color: cyan;}
.Magenta { background-color: magenta;}
.Yellow { background-color: yellow;}
.Red { background-color: red;}
.Green{ background-color: green;}
.Blue { background-color: blue;}
.Neutral { background-color:lightgrey;}
.Black {color:white; background-color: black;}


.left_cell{
    padding:2px;
    text-align: left;
}
td{
    padding:2px;
    text-align: center;
    color: black;
}
tr:first-child {

}

th{
    padding:2px;
    text-align: center;
    border-bottom: solid black 2px;
    font-weight: bold;
}

#save_div{
    display:none;
    height:40px;
}
#save_group{    
    float:right;
}


#my_buttons{
    width:45%;
    overflow:auto;
    display:inline-block;
    border:solid black 1px;
    height:300px;
}
#group_info{
    width:54%;
    height:300px;
    vertical-align:top;
    border-radius:0px 20px 20px 0px;
    display:inline-block;
    border:solid black 1px;
    color:black;
    overflow: auto;
    background-color: white;
}

#knowledge{
    width:100%;
}
.cats_div{
    width:48%;
    display:inline-block;
}
.cats{
    width:100%;
    overflow:auto;
    display:inline-block;
    border:solid black 1px;
    border-radius:0;
}


.slider_left_label{ 
    height:25px;
    width:25%;
    display:inline-block;
    text-align:right;
    margin: 0px 5px;
    vertical-align:top;

}

.slider_right_label{
    text-align:left;
    height:25px;
    width:25%;
    display:inline-block;
    margin: 0px 5px;
    vertical-align:top;

}
.radio_div{
    margin:10px; 
    margin-top:0;
}

.radio_span{
    margin:0px;
    padding:4px;
    color:lightgray;
    border: solid black 1px;
}


.sub_panel{
    border:solid black 1px;
    text-align: center;
    font-size:24px;
}

.left_textarea{
    width:60%;
    text-align: left;
    vertical-align: top;    
    display: inline-block;
    margin-left: 5px;
}


#color_range{
    text-align: center;
    display: block;
}
#color_wheel{
    width:280px;
    height:280px;
    display:inline-block;
    vertical-align: top;
    background-repeat: no-repeat;
    background-color:white;
    margin-left:30px;
    margin-top:10px;
    border-radius: 5px;
    overflow: hidden;
}

.cb_field{
    width:60%;
    display:inline-block;
    vertical-align: top;
    padding:10px;
    margin-bottom:20px;
}

.level_slider{
    width:40%;
    display:inline-block;
    margin-left:10px;
    margin-right:10px;
}

.slider_label{
    text-align: center;
    margin-bottom:20px;
    padding-right:20px;
}
.chan{
    width:25%;
    margin-top:20px;
    margin-bottom:20px;
}
.slider_div{
    width:available;
}
#channel_div{
    width:100%;
}
#calculate_button{
    float:right;
    display: inline-block;
    margin-right: 15%;
    margin-bottom: 15%;

}

#cSlider_label1{
    color:cyan;
}
#cSlider_label2{
    color:cyan;
}
#add_balance_adj{
    float:right;
}
.adj_fam{
    margin:5px;
}
#cancel_service{
    float:right;
}

#confirm{
    width:700px;
    height: 100px;
    display:none;
}

#peak_radios{
    display:flex;
    width:686px;
    display:inline-block;
    height:32px;
}

#HL{
    color:black;
    background:-webkit-linear-gradientrgb(255,255,255) 0%,rgb(204,204,204)100%; 
}
#QT{
    color:black;
    background:-webkit-linear-gradientrgb(204,204,204) 0%,rgb(153,153,153) 100%; 
}
#MT{
    color:black;
    background:-webkit-linear-gradientrgb(153,153,153) 0%,rgb(102,102,102) 100%; 
}
#TQT{
    color:black;
    background:-webkit-linear-gradientrgb(102,102,102) 0%,rgb(51,51,51) 100%; 
}
#SH{
    background:-webkit-linear-gradientrgb(51,51,51),rgb(0,0,0); 
}

.peak_point{
    margin:1px;
}
.ui-state-active.peak_point{
    border:solid white 2px;
    z-index:1000;
}
#cancel_panel{
    text-align: left;
    margin-bottom:10px;
}

.large_type{
    font-size: 24px;   
}
#KB_text{
    width:80%;
    font-size: 18px;
}


#note_label{
    vertical-align: top;
}
.top_label{
    display:block;
}

#save_group_dialog{
    display:none;
}


#group_info .remove_button{
    display:none;
}


#embedded_div{
    vertical-align: top;
    width:45%;
    margin:5px;
    color:black;
    border:solid black 1px;
}

#group_notes{
    margin-left:10px;
    margin-right:10px;
    text-align: right;
    padding:3px;
    vertical-align:baseline;
}
#siteseal {
    display:inline;
    width: 100%;
    margin: auto;
    text-align: center;

}
#KB_content{
    width:96%;
    padding:40px;
    height:500px;
    margin-top:40px;
    padding-top:0px;
}
#KB_div{
    border:0;
    padding:50px;
    color:black;
    width:80%;
    font-size:18px;

    background-color:white;
    clear: both;
}

#KB_text{
    width:80%;
    font-size: 18px;
}

.kb_title{
    padding-left:1em;
    color:green;
    text-align: left;
    font-size:18px;
    display:block;
}
.kb_subtitle{
    padding-left:1em;
    color:black;
    text-decoration:underline;
    text-align:left;
    font-size:18px;
    display:block;
    line-height: 200%;
}
.kb_para{
    padding-left:1em;
    color:black;
    text-align:justify;
    font-size:18px;
    display:block;
    line-height: 200%;
}
.kb_subpara{
    text-align:left;
    padding-left:3.7em;
    line-height: 200%;
}
.kb_para2{
    padding-left:1em;
    color:black;
    text-align:justify;
    font-size:18px;
    display:block;
    text-indent:3.7em;
    line-height: 150%;
}
.kb_ul{
    text-decoration:underline;
    display:inline;
}

#kb_list {
    width:97%;
    position:absolute;
    margin-left: 3%;
    background-color:#fff;
}

#save_kb{
    float:right;
}

#info{
    width:42%;
    display:inline-block;
    background-color: whitesmoke;
}
.hsplit{
    height:400px;
    display:inline-block;
    vertical-align:top;
}
.table_data{
    margin: 20px;
    font-weight:bold;
    width:10%;
    background-color: whitesmoke;
}

#middle_div{
    width:10%;
    background-color: whitesmoke;
}
#selected_columns_div{
    background-color: whitesmoke;
}
#selected_columns{
}
.block_label{
    display:block;
    vertical-align: top;
    text-align: center;
}
#output_menu{
    width:99%;
    border-radius: 0;
    margin:0;
}


#column_info_div{
    display:inline-block;
    background-color: whitesmoke;
    margin:20px;
    width:400px;
    height:300px;
    overflow:auto;
}
.select_menu{
    border-radius: 0;
}

#dialog_div,#add_div{
    display:none;
}

#logo_div{
    background-image: url("../img/cm_logo.png");
    background-repeat: no-repeat;
    background-position: center top;
    width: 5%;
    height: 100px;
    margin: 0px;
    display: inline-block;
}

#banner {
    background-repeat: no-repeat;
    background-position: center 40px;
    background-size: auto 55px;
    width: 90%;
    left:10%;
    height: 95px;
    margin: 0px;
    vertical-align: top;
    font-family: 'Droid Sans', sans-serif; color:#ad2820;
    font-size:18px;
    text-align: center;
    display: inline-block;
    text-align: center;
    font-size:22px;
    font-family: 'Arial', sans-serif; 
    color:#ad2820;
}
#import_button{
    float:right;
}
.group_div{
    width:100%
}
.tools_div{
    width:200px;
    float:right;
}

.tag{
    background-color:#eee;
}

.item{
    background-color: white;
    color: black;
}

a.item:link,a.item:visited  {
    color: black; background-color: white; font-weight: bold;
}
a.tag:link,a.tag:visited {
    color:black; background-color:#eee; font-weight: bold;
}

.group_content{
    color: black;
}

.scroll_div{
    height:600px;
    overflow-y:scroll;
}

.left_div{
    display: inline-block;
}
.right_div{
    float: right;
    display: inline-block;
}

#locations label {
    float: left;
}
#locations ul {
    margin: 0;
    list-style: none;
    float: left;
}

.info_box{
    margin-left:10%;
    display:inline-block;
    border:solid gray 1px;
    padding:10px;
}

.disabled_div{
    opacity:.8;
    background-color: gray;
    pointer-events:none;
    z-index: 1;
    overflow: hidden;
}

#locations{
    overflow:auto;
    border:solid gray 1px;
    padding:5px;
}
#item_info{
    padding:5px;
    margin:5px;
}
.item_div{
    margin:5px;
}

#black_and_white{
    margin:10px;
}

.menu_div{
    display:inline-block;
    margin-left: 20px;
}

.table_icon{
    border:0;
    margin: 20px;
    font-weight:bold;
    width:1%;
    background-color: whitesmoke;
}

.breadcrumbs{

}

#product_list{
    background-color:#fff;
    box-shadow: 0 0px 10px rgba(0, 0, 0, 0.5);
}

.fixed_table{
    table-layout: fixed;
}

.text_pane {
    height: 400px;
    overflow: auto;
}



.link_look {
    cursor:pointer;
    color:blue;
    text-decoration:underline;
}

link_look:hover {
    text-decoration:none;
    text-shadow: 1px 1px 1px #555;
}

/*bootstrap 3.3.7 workaround for inline input-groups*/
.input-group {
    display: inline-table;
    vertical-align: middle;
}

/*add select based input groups to bootstrap 3.3.7*/
.input-group-addon-select{
    font-size: 14px;
    font-weight: normal;
    line-height: 1;
    color: #555;
    text-align: center;
    background-color: #eee;
    border: 1px solid #ccc;
    border-radius: 4px;
    border-bottom-left-radius: 0;
    border-top-left-radius: 0;
    padding-top:8px;
    padding-bottom:10px;
    background-color: #fff;
}

.input-group-addon-select>select{
    margin:8px;
    width:90%;
}


/*scrolling table test*/

.fixed_header{
    table-layout: fixed;
    border-collapse: collapse;
    height:50vh;
}

.fixed_header tbody{
    display:block;
    overflow:auto;
    height:100%;
    width:100%;
}

.fixed_header thead tr{
    display:block;
}


/*take 2*/
.scrolltable { margin-top: 20px; height: 50vh; overflow: auto; }
.scrolltable table { border-collapse: collapse; }
.scrolltable tr:nth-child(even) { background: #EEE; }
.scrolltable th div { position: absolute; margin-top: -20px; }


.sortable_column div{
    margin:0px 0px 0px 10px;
    text-decoration:none;

}

.sortable_column div::after{
    content:"\e259";
    font-family: 'Glyphicons Halflings';
    font-style: normal;
    font-weight: normal;
    line-height: 1;
    padding-left:2px;
    vertical-align:middle;
}

.sortable_column.inverse div::after{
    content:"\e260";
    font-family: 'Glyphicons Halflings';
    font-style: normal;
    font-weight: normal;
    line-height: 1;
    padding-left:2px;
    vertical-align:middle;
}

.btn-toolbar{
    padding-top:10px;
}

/*report formatting*/

.order_info + .order_info{
    margin-top:40px;
}

@media print {
  .order_info {page-break-after: always;}
}
.report_label{
    margin:0;
    width:110px;
    padding-right:4px;
    border:solid #ccc 1px;
    background-color:#eee;
    text-align:left;
    padding-left:2px;
}

.report_field{
    padding-left:2px;
    text-align:left;
}

.loader {
  border: 16px solid #f3f3f3; /* Light grey */
  border-top: 16px solid #3498db; /* Blue */
  border-radius: 50%;
  width: 120px;
  height: 120px;
  animation: spin 2s linear infinite;
}

#multiship_dlog > a > div{
    width:800px;
}

#worksheet_div{
    margin-left:20px;
}

.left_label:has(+ input[type='checkbox']){
    padding-top:0px;
    padding-right:5px;
}


.cost_side{
    background-color: #f1f6f6;
}
.sell_side{
    background-color: #efefff;
}

.border_left{
    border-left: 1px solid black;
}
